﻿using System;
using System.Collections.Generic;
using System.Text;

namespace pl0
{
    /// <summary>
    /// Trida obsahujici simbolicka jmena instrukci
    /// </summary>
    public class Fct
    {
        public const int LIT = 0;
        public const int OPR = 1;
        public const int LOD = 2;
        public const int STO = 3;
        public const int CAL = 4;
        public const int RET = 5;
        public const int ING = 6;  // nahrazuje INT
        public const int JMP = 7;
        public const int JPC = 8;

	    /*
	      lit 0,A  :uloz konstantu A do zasobniku
	      opr 0,A  :proved instrukci A
	      lod L,A  :uloz promenne L, A na vrchol zasobniku
	      sto L,A  :zapis promennou L z vrcholu zasobniku do pameti
	      cal L,A  :volej proceduru A z urovne L
	      int 0,A  :zvys obsah T-registru o hodnotu A	
	      jmp 0,A  :proved skok na adresu A
	      jpc 0,A  :proved podmineny skok na adresu A
	    */

    }
}
