﻿using System;
using System.Collections.Generic;
using System.Text;

namespace pl0
{
    /// <summary>
    /// Instrukce
    /// </summary>
    public class GenInstruction
    {
        /// <summary>
        /// Kod instrukce
        /// </summary>
        public int functionCode;
        /// <summary>
        /// uroven zanoreni
        /// </summary>
        public int level;
        /// <summary>
        /// cast adresy nebo kod operace
        /// </summary>
        public int operand;

        /// <summary>
        /// konstruktor
        /// </summary>
        /// <param name="f">kod instrukce</param>
        /// <param name="l">uroven zanoreni</param>
        /// <param name="a">cast adresy nebo kod operace</param>
        public GenInstruction(int f, int l, int a)
        {
            functionCode = f;
            level = l;
            operand = a;
        }
    }
}
