﻿using System;
using System.Collections.Generic;
using System.Text;

namespace pl0
{
    /// <summary>
    /// Preddefinovane sablony mnozin pouzivane prekladacem jazyka PL/0.
    /// </summary>
    public class BegSys
    {
        /// <summary>
        /// Mnozina symbolu pro prikaz (statement)
        /// </summary>
	    public SetSym statBegSys = new SetSym();
	    /// <summary>
        /// Mnozina symbolu pro deklaraci
	    /// </summary>
	    public SetSym declBegSys = new SetSym();
	    /// <summary>
        /// Mnozina symbolu pro faktor
	    /// </summary>
        public SetSym facBegSys = new SetSym();

        public BegSys() 
        {
		    statBegSys.set(SetSym.BEGINSYM);
		    statBegSys.set(SetSym.CALLSYM);
		    statBegSys.set(SetSym.IFSYM);
		    statBegSys.set(SetSym.WHILESYM);
		    declBegSys.set(SetSym.CONSTSYM);
		    declBegSys.set(SetSym.VARSYM);
		    declBegSys.set(SetSym.PROCSYM);
		    facBegSys.set(SetSym.IDENT);
		    facBegSys.set(SetSym.NUMBER);
		    facBegSys.set(SetSym.LPAREN);
	    }

    }
}
