﻿using System;
using System.Collections.Generic;
using System.Text;

namespace pl0
{
    /// <summary>
    /// Konstanty operaci provadenych interpretem
    /// </summary>
    class OOperation
    {
         /*JV: operatory precislovany*/
        public  const int NEG = 1;
        public  const int ADD = 2;
        public  const int SUB = 3;
        public  const int MUL = 4;
        public  const int DI = 5;
        public  const int MOD = 6;
        public  const int ODD = 7;
        public  const int EQ = 8;
        public  const int NE = 9;
        public  const int LT = 10;
        public  const int GE = 11;
        public  const int GT = 12;
        public  const int LE = 13;

	    /*
	      neg  :negace hodnoty na vrcholu zasobniku
	      add  :soucet dvou hodnot na vrcholu zasobniku
	      sub  :rozdil dvou hodnot na vrcholu zasobniku
	      mul  :soucin dvou hodnot na vrcholu zasobniku
	      di   :deleni dvou hodnot na vrcholu zasobniku
	      mod  :modulo dvou hodnot na vrcholu zasobniku
	      odd  :test lichosti hodnot na vrcholu zasobniku
	      eq   :test rovnost dvou hodnot na vrcholu zasobniku
	      ne   :test nerovnost dvou hodnot na vrcholu zasobniku
	      lt   :mensi
	      ge   :vetsi nebo rovno
	      gt   :vetsi
	      le   :mensi nebo rovno
	    */

    }
}
